GBSTAT(1)

NAME
gbstat - Basic descriptive statistics of data

SYNOPSIS
gbstat [options]

DESCRIPTION
Sample statistics. Compute mean, standard deviation, skewness, kurtosis, average deviation, minimum, maximum, median (if option -m is specified) and number of valid observations. Option -O allows one to select specific statistics. With option -t statistics are printed for each column of data separately. A header line is added with the meaning of the different columns. The mode is computed using the Half-Sample method.

OPTIONS

-m  add the sample median to the estimated statistics

-t  print statistics for each column of input

-s  short: mean std skew kurt adev min max (median) num

-O  select output: mean,std,var, skew,kurt,adev,min,max,median,num,mode

-o  set the output format (default '%12.6e')

-F  specify the input fields separators (default " \t")

-h this help

EXAMPLES

gbstat -O median,kurt < file
    compute the median and the kurtosis of all the data in 'file'

gbstat -ts < file
    compute statistics for each columns separately. Since option -s is provided, the header is omitted.

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.